import { AfterViewInit, ChangeDetectorRef, ViewContainerRef } from "@angular/core";
import { AvailableWorkflowBlockDto, WorkflowDto } from "@smallstack/axios-api-client";
import { NotificationService } from "@smallstack/i18n-components";
import { WorkflowEditorService } from "../../services/workflow-editor.service";
import { AvailableBlocksStore } from "../../stores/available-blocks.store";
import * as i0 from "@angular/core";
export declare class WorkflowNodeContainerComponent implements AfterViewInit {
    private nodeService;
    private cdr;
    private notificationService;
    workflow: WorkflowDto;
    private availableBlocks;
    currentBlocks: AvailableWorkflowBlockDto[];
    viewContainerRef: ViewContainerRef;
    constructor(nodeService: WorkflowEditorService, cdr: ChangeDetectorRef, availableBlocksStore: AvailableBlocksStore, notificationService: NotificationService);
    ngAfterViewInit(): void;
    addBlock(definitionId: string, top?: number, left?: number): Promise<void>;
    onDragStart(event: DragEvent, block: AvailableWorkflowBlockDto): void;
    onDrop(event: any): Promise<void>;
    searchBlock(searchTerm: string): void;
    isTriggerBlock(availableWorkflowBlockDto: AvailableWorkflowBlockDto): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorkflowNodeContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorkflowNodeContainerComponent, "smallstack-workflow-node-container", never, { "workflow": "workflow"; }, {}, never, never, false, never>;
}
